Goals

Create website goal

POST/api/websites/{websiteId}/goals

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
websiteIdrequiredstringID of the website.

Request body

NameTypeDescription
descriptionstringDescription of the resource.
namerequiredstringDisplay name of the resource.
parametersrequiredobjectConfiguration parameters for the resource.
Example request

Responses

200The operation completed successfully.
NameTypeDescription
okrequiredanyWhether the operation succeeded.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example
404Not found.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
404 example

Code samples

cURL